cmake_minimum_required(VERSION 2.6)


FIND_PACKAGE(CUDA)
IF(CUDA_FOUND)
ELSE()
	MESSAGE(FATAL_ERROR "CUDA not found, but needed.")
ENDIF(CUDA_FOUND)

#-----------------------------------------------------------------------------


SET(CUDA_HDRS
	BilateralFilterKernel.h
)

SET(CUDA_SRCS
	BilateralFilter.cu
)

#-----------------------------------------------------------------------------

# CUDA
SET(CUDA_LIB BilateralFilter)
CUDA_ADD_LIBRARY(${CUDA_LIB} ${CUDA_HDRS} ${CUDA_SRCS}
	OPTIONS  
    RELEASE --use_fast_math -DNDEBUG
    DEBUG -DDEBUG)
